function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import RecordDetailEditor from './contexts/recordDetail/editor';
import RecordDetailReadOnly from './contexts/recordDetail/readOnly';
import RecordGalleryCard from './contexts/recordGalleryCard';
import RecordListItem from './contexts/recordListItem';

var MultipleSelectField = function (_React$Component) {
    _inherits(MultipleSelectField, _React$Component);

    function MultipleSelectField() {
        _classCallCheck(this, MultipleSelectField);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    MultipleSelectField.prototype.render = function render() {
        var _props = this.props,
            contextId = _props.contextId,
            roleId = _props.roleId;


        if (contextId === 'recordDetail' && roleId === 'editor') {

            return React.createElement(RecordDetailEditor, this.props);
        }

        if (contextId === 'recordDetail' && roleId === 'readOnly') {

            return React.createElement(RecordDetailReadOnly, this.props);
        }

        if (contextId === 'recordGalleryCard') {

            return React.createElement(RecordGalleryCard, this.props);
        }

        if (contextId === 'recordListItem') {

            return React.createElement(RecordListItem, this.props);
        }

        return React.createElement(
            'div',
            null,
            'Not supported'
        );
    };

    return MultipleSelectField;
}(React.Component);

export { MultipleSelectField as default };
MultipleSelectField.propTypes = process.env.NODE_ENV !== "production" ? {
    id: PropTypes.string.isRequired,
    contextId: PropTypes.oneOf(['recordDetail', 'recordGridRow', 'recordGalleryCard', 'recordListItem']),
    roleId: PropTypes.oneOf(['editor', 'readOnly']),
    optionIds: PropTypes.arrayOf(PropTypes.string.isRequired),
    coloredOptions: PropTypes.bool.isRequired,
    options: PropTypes.arrayOf(PropTypes.shape({
        id: PropTypes.string.isRequired,
        colorId: PropTypes.string,
        name: PropTypes.string.isRequired
    })),
    onLink: PropTypes.func,
    onUnlink: PropTypes.func,
    onClear: PropTypes.func,
    onSort: PropTypes.func
} : {};