'use strict';

exports.__esModule = true;
exports.default = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _editor = require('./contexts/recordDetail/editor');

var _editor2 = _interopRequireDefault(_editor);

var _readOnly = require('./contexts/recordDetail/readOnly');

var _readOnly2 = _interopRequireDefault(_readOnly);

var _recordGalleryCard = require('./contexts/recordGalleryCard');

var _recordGalleryCard2 = _interopRequireDefault(_recordGalleryCard);

var _recordListItem = require('./contexts/recordListItem');

var _recordListItem2 = _interopRequireDefault(_recordListItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MultipleSelectField = function (_React$Component) {
    _inherits(MultipleSelectField, _React$Component);

    function MultipleSelectField() {
        _classCallCheck(this, MultipleSelectField);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    MultipleSelectField.prototype.render = function render() {
        var _props = this.props,
            contextId = _props.contextId,
            roleId = _props.roleId;


        if (contextId === 'recordDetail' && roleId === 'editor') {

            return _react2.default.createElement(_editor2.default, this.props);
        }

        if (contextId === 'recordDetail' && roleId === 'readOnly') {

            return _react2.default.createElement(_readOnly2.default, this.props);
        }

        if (contextId === 'recordGalleryCard') {

            return _react2.default.createElement(_recordGalleryCard2.default, this.props);
        }

        if (contextId === 'recordListItem') {

            return _react2.default.createElement(_recordListItem2.default, this.props);
        }

        return _react2.default.createElement(
            'div',
            null,
            'Not supported'
        );
    };

    return MultipleSelectField;
}(_react2.default.Component);

exports.default = MultipleSelectField;
MultipleSelectField.propTypes = process.env.NODE_ENV !== "production" ? {
    id: _propTypes2.default.string.isRequired,
    contextId: _propTypes2.default.oneOf(['recordDetail', 'recordGridRow', 'recordGalleryCard', 'recordListItem']),
    roleId: _propTypes2.default.oneOf(['editor', 'readOnly']),
    optionIds: _propTypes2.default.arrayOf(_propTypes2.default.string.isRequired),
    coloredOptions: _propTypes2.default.bool.isRequired,
    options: _propTypes2.default.arrayOf(_propTypes2.default.shape({
        id: _propTypes2.default.string.isRequired,
        colorId: _propTypes2.default.string,
        name: _propTypes2.default.string.isRequired
    })),
    onLink: _propTypes2.default.func,
    onUnlink: _propTypes2.default.func,
    onClear: _propTypes2.default.func,
    onSort: _propTypes2.default.func
} : {};
module.exports = exports['default'];